Commit fe7de1aa authored by Cool Fire's avatar Cool Fire
Browse files

Forked modules to allow newer puppetlabs-apt module

parent a5ec665f
Pipeline #441 failed with stages
in 3 minutes and 50 seconds
......@@ -3,11 +3,10 @@ forge "https://forgeapi.puppetlabs.com"
# Modules from puppetforge
mod 'garethr-docker'
mod 'KyleAnderson-consul'
mod 'puppet-letsencrypt', '2.1.0'
mod 'puppet-letsencrypt'
mod 'puppet-nginx'
mod 'puppet-nodejs', '4.0.1'
mod 'puppet-nodejs'
mod 'puppetlabs-apt'
mod 'puppetlabs-stdlib'
mod 'puppetlabs-tftp'
......@@ -15,9 +14,7 @@ mod 'razorsedge-snmp'
mod 'saz-sudo'
# Modules from git
# mod 'puppetlabs-ntp',
# :git => 'git://github.com/puppetlabs/puppetlabs-ntp.git'
# mod 'puppetlabs-apt',
# :git => 'https://github.com/puppetlabs/puppetlabs-apt.git',
# :ref => '1.4.x'
# Forked to use newer version of puppetlabs-apt
mod 'garethr-docker',
:git => 'https://github.com/cFire/garethr-docker',
:ref => '15f4831'
FORGE
remote: https://forgeapi.puppetlabs.com
specs:
KyleAnderson-consul (2.1.0)
KyleAnderson-consul (3.1.2)
puppet-archive (< 2.0.0, >= 1.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.6.0)
garethr-docker (5.3.0)
puppetlabs-apt (<= 3.0.0, >= 1.8.0)
puppetlabs-stdlib (>= 4.1.0)
stahnma-epel (>= 0.0.6)
puppet-archive (1.3.0)
puppetlabs-stdlib (< 5.0.0, >= 4.6.0)
puppet-letsencrypt (2.1.0)
......@@ -15,36 +11,45 @@ FORGE
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppetlabs-vcsrepo (< 2.0.0, >= 1.3.1)
stahnma-epel (< 2.0.0, >= 1.0.0)
puppet-nginx (0.6.0)
puppetlabs-apt (< 3.0.0, >= 2.1.0)
puppetlabs-concat (< 3.0.0, >= 1.2.5)
puppetlabs-stdlib (< 5.0.0, >= 4.6.0)
puppet-nginx (0.9.0)
puppetlabs-concat (< 5.0.0, >= 3.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppet-nodejs (4.0.1)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppetlabs-apt (2.3.0)
puppetlabs-stdlib (< 5.0.0, >= 4.5.0)
puppetlabs-concat (2.2.0)
puppetlabs-stdlib (< 5.0.0, >= 4.2.0)
puppetlabs-apt (4.4.0)
puppetlabs-stdlib (< 5.0.0, >= 4.16.0)
puppetlabs-concat (4.1.1)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppetlabs-inifile (1.6.0)
puppetlabs-stdlib (4.15.0)
puppetlabs-stdlib (4.22.0)
puppetlabs-tftp (0.2.3)
puppetlabs-xinetd (>= 1.1.0)
puppetlabs-vcsrepo (1.5.0)
puppetlabs-xinetd (2.0.0)
puppetlabs-xinetd (3.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.6.0)
razorsedge-snmp (3.6.0)
razorsedge-snmp (3.8.1)
puppetlabs-stdlib (< 5.0.0, >= 2.3.0)
saz-sudo (4.2.0)
puppetlabs-stdlib (< 5.0.0, >= 2.6.0)
stahnma-epel (1.2.2)
stahnma-epel (1.3.0)
puppetlabs-stdlib (>= 3.0.0)
GIT
remote: https://github.com/cFire/garethr-docker
ref: 15f4831
sha: 15f48312eae2f8396755e8358d9b1dfc9633ad33
specs:
garethr-docker (5.3.0)
puppetlabs-apt (<= 4.4.0, >= 1.8.0)
puppetlabs-stdlib (>= 4.1.0)
stahnma-epel (>= 0.0.6)
DEPENDENCIES
KyleAnderson-consul (>= 0)
garethr-docker (>= 0)
puppet-letsencrypt (= 2.1.0)
puppet-letsencrypt (>= 0)
puppet-nginx (>= 0)
puppet-nodejs (= 4.0.1)
puppet-nodejs (>= 0)
puppetlabs-apt (>= 0)
puppetlabs-stdlib (>= 0)
puppetlabs-tftp (>= 0)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment